List Virtual Machine Smtp Outbound Policies
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
page?integer
Format
int32pageSize?integer
Format
int32search?string
Case-insensitive substring match on hostname, customer contact email, or exact virtual machine UUID.
Response Body
application/json
curl -X GET "https://api.nrings.io/v1/provider/network/smtp-outbound-policies?page&pageSize&search" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"policies": [
{
"virtualMachineId": "string",
"hostname": "string",
"action": "SMTP_OUTBOUND_VM_ACTION_UNSPECIFIED",
"effectiveBlocked": true,
"clientOrganizationId": "string",
"clientOwnerUserId": "string",
"clientContactEmail": "string",
"ipv4": "string",
"ipv6": "string"
}
],
"totalCount": 0
}